apc_define_constants
apc_fetch
Fonctions APC
PHP Manual

# apc_delete

(PECL apc >= 3.0.0)

apc_delete — Efface une variable stockée dans le cache

### Description

bool apc_delete ( string `$key` )

Efface une variable stockée dans le cache.

### Liste de paramètres

`key`

  La clé `key` utilisée pour stocker la valeur (avec apc_store()).

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Exemples

Exemple #1 Exemple avec apc_delete()

`<?php
$bar = 'BAR';
apc_store('foo', $bar);
apc_delete('foo');
// c'est évidemment inutile sous cette forme
?>`

### Voir aussi

- apc_store() - Met en cache une variable dans le magasin
- apc_fetch() - Récupère une variable stockée dans le cache

apc_define_constants
apc_fetch
Fonctions APC
PHP Manual